Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class PropertyBinding

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.PropertyBinding

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class PropertyBinding

extends org.eclipse.birt.report.model.core.Structure

Represents the property binding structure. The property binding defines the overridable property value. It includes property name, element ID and overridden value.

Field Summary
`protected java.math.BigDecimal` | `id` Element id of the property binding.
`static java.lang.String` | `ID_MEMBER` Name of the "id" property.
`protected java.lang.String` | `name` Name of the property binding.
`static java.lang.String` | `NAME_MEMBER` Name of the "name" property.
`static java.lang.String` | `PROPERTY_BINDING_STRUCT` Name of the structure.
`protected java.lang.String` | `value` Value expression of this property binding.
`static java.lang.String` | `VALUE_MEMBER` Name of the "value" property.

Constructor Summary
`PropertyBinding()` Constructs a PropertyMask.

Method Summary
`java.math.BigDecimal` | `getID()` Gets the element id of the binding.
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)` Returns the value of a structure property represented as a member variable.
`java.lang.String` | `getName()` Gets the property name of this binding.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`java.lang.String` | `getValue()` Gets the overridden value of this binding.
`protected StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)` Creates the specific handle of this structure.
`void` | `setID(long id)` Sets the element id of this binding.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)` Sets the value of of a structure property represented as a member variable.
`void` | `setName(java.lang.String name)` Sets the name of the property binding.
`void` | `setValue(java.lang.String expression)` Sets the overridden value of this binding.
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Validate whether this structure is valid.

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getDefn, getElement, getHandle, getHandle, getListMemberRef, getLocalProperty, getLocalProperty, getObjectDefn, getProperty, getProperty, getReferencableProperty, isDesignTime, isReferencable, setContext, setProperty, setProperty, updateReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_BINDING_STRUCT

    public static final java.lang.String PROPERTY_BINDING_STRUCT

  Name of the structure.

  See Also:
    Constant Field Values

### NAME_MEMBER

    public static final java.lang.String NAME_MEMBER

  Name of the "name" property.

  See Also:
    Constant Field Values

### ID_MEMBER

    public static final java.lang.String ID_MEMBER

  Name of the "id" property.

  See Also:
    Constant Field Values

### VALUE_MEMBER

    public static final java.lang.String VALUE_MEMBER

  Name of the "value" property.

  See Also:
    Constant Field Values

### name

    protected java.lang.String name

  Name of the property binding.

### id

    protected java.math.BigDecimal id

  Element id of the property binding. Then Call `ModuleHandle.getElementByID(long)` to find the host element of this property binding defined.

### value

    protected java.lang.String value

  Value expression of this property binding.

Constructor Detail

### PropertyBinding

    public PropertyBinding()

  Constructs a PropertyMask.

Method Detail

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Returns the value of a structure property represented as a member variable.

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - name of the property
  Returns:
    the value of the property, or null if the property is not set

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Sets the value of of a structure property represented as a member variable.

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - the name of the property to set
    `value` - the property value

### handle

    protected StructureHandle handle(SimpleValueHandle valueHandle,
                                     int index)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Creates the specific handle of this structure. This handle is always created.

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
    `index` - the position of this structure in structure list
  Returns:
    the handle of this structure.

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### setName

    public void setName(java.lang.String name)

  Sets the name of the property binding. It must be one of the defined property in the element.

  Parameters:
    `name` - the property name

### getName

    public java.lang.String getName()

  Gets the property name of this binding.

  Returns:
    the property name of this binding

### setID

    public void setID(long id)

  Sets the element id of this binding.

  Parameters:
    `id` - the element id to set

### getID

    public java.math.BigDecimal getID()

  Gets the element id of the binding.

  Returns:
    the element id of this binding

### getValue

    public java.lang.String getValue()

  Gets the overridden value of this binding.

  Returns:
    the overridden value of this binding.

### setValue

    public void setValue(java.lang.String expression)

  Sets the overridden value of this binding.

  Parameters:
    `expression` - the value expression to set

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Validate whether this structure is valid. The derived class should override this method if semantic check is needed. The each error is the instance of `PropertyValueException`.

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `module` - the module
    `element` - the element contains this structure
  Returns:
    the semantic error list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.